#pragma once

#include "BkDialogST.h"
#include "ClockST.h"
#include "ResourceServerST.h"
#include "Icons.h"

class CDlgClockST : public CBkDialogST
{
public:
	CDlgClockST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgClockST)
	enum { IDD = IDD_CLOCKST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgClockST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	// Generated message map functions
	//{{AFX_MSG(CDlgClockST)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

private:
	void OnPostEraseBkgnd(CDC* pDC);
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;

	CClockST			m_Clock;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
